Bug 140046 - Charts & Graphs in LibreOffice Calc display as only black featureless rectangles when Windows uses a "dark mode" color scheme
Summary: Charts & Graphs in LibreOffice Calc display as only black featureless rectang...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UI-Theming Windows-Dark-Mode
  Show dependency treegraph
 
Reported: 2021-02-01 01:31 UTC by RT
Modified: 2022-12-14 03:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description RT 2021-02-01 01:31:25 UTC
Description:
When using a "Dark mode" or "high contrast" color scheme for Windows 7, All Charts and Graphs in Calc display as nothing but a single black rectangle.  If the black rectangle is selected and copy-pasted into, for example, MSPaint, it displays as a normal, colorful graph just as originally intended.  So it's creating the graph correctly in Calc, the graph is there, but not displaying it as anything but a black featureless box.  Changing the graph's colors in Calc has no effect, everything displays only as black.  Scanning the internet, I see others are reporting this same issue.  Just downloaded most recent version of LibreOffice, no change.  Calc displays graphs, charts fine if you select the "Standard default" color scheme for Windows.

Steps to Reproduce:
1. In any Calc spreadsheet, select any data set
2. Do Insert-Chart and create any Chart type
3. Voila, you have a big black rectangle in your spreadsheet  :)

Actual Results:
A big solid black rectangle is displayed where the chart should be

Expected Results:
A chart or Graph of the data would be displayed in the spreadsheet


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Copy-pasting the black rectangle into any other LibreOffice Application just produces another black rectangle, but pasting it into any non-LibreOffice Application, say MSPaint, displays the chart/graph just as it should look.
Comment 1 Buovjaga 2022-04-27 12:23:55 UTC
Could you test with Win-x86_64@tb77-TDF from https://dev-builds.libreoffice.org/daily/master/current.html ? It is an unstable version that installs separately.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 QA Administrators 2022-10-25 03:33:31 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2022-12-14 03:21:03 UTC
Dear RT,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp